com.google.cloud.dataflow.sdk.transforms

## Class DoFnTester.OutputElementWithTimestamp<OutputT>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFnTester.OutputElementWithTimestamp<OutputT>

Enclosing class:
  DoFnTester<InputT,OutputT>

    @Experimental
    public static class DoFnTester.OutputElementWithTimestamp<OutputT>
    extends Object

Holder for an OutputElement along with its associated timestamp.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`